package stackjava.com.jooq.test;

import java.sql.Connection;
import java.sql.DriverManager;

import org.jooq.DSLContext;
import org.jooq.SQLDialect;
import org.jooq.impl.DSL;

import stackjava.com.jooq.Tables;
import stackjava.com.jooq.tables.records.AuthorRecord;


public class DemoInsert {
	  public static void main(String[] args) throws Exception {
	        String user = "root";
	        String password = "admin1234";
	        String url = "jdbc:mysql://localhost:3306/library";
	        try (Connection connection = DriverManager.getConnection(url, user, password)) {
	            DSLContext dslContext = DSL.using(connection, SQLDialect.MYSQL);
	            
	            AuthorRecord r1 = new AuthorRecord(1, "Tolstoy", "Lev Nikolayevich");
	            AuthorRecord r2 = new AuthorRecord(2, "Shakespeare", "William");
	            
	            dslContext.newRecord(Tables.AUTHOR, r1).store();
	            dslContext.newRecord(Tables.AUTHOR, r2).store();
	            
	            // or
	            dslContext
	            .insertInto(Tables.AUTHOR, Tables.AUTHOR.ID, Tables.AUTHOR.FIRST_NAME, Tables.AUTHOR.LAST_NAME)
	            .values(3, "Conan Doyle", "Arthur")
	            .values(4, "Hugo", "Victor")
	            .execute();
	            
	            // or
	            dslContext
	            .insertInto(Tables.AUTHOR)
	            .set(Tables.AUTHOR.ID, 5)
	            .set(Tables.AUTHOR.FIRST_NAME, "Rowling")
	            .set(Tables.AUTHOR.LAST_NAME, "J.K")
	            .execute();
	            
	            System.out.println("Inserted!");
	        }
	        catch (Exception e) {
	            e.printStackTrace();
	        }
	    }
}
